import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
} from 'd3';

const projection = d3.geoNaturalEarth1();
const path = d3.geoPath(projection);
const geograticule = geoGraticule();

export const Marks = ({
  worldAtlas: { land, interiors },
  cities,
  sizeScale,
  sizeValue,
}) => (
  <g class="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path
      className="geograticule"
      d={path(geograticule())}
    />
    {land.features.map((feature) => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
    {cities.map((d) => {
      const [x, y] = projection([d.lng, d.lat]);
      return (
        <circle cx={x} cy={y} r={sizeScale(sizeValue(d))} />
      );
    })}
  </g>
);
